logica.reportes

## Class XslTransformer

- java.lang.Object
- - logica.reportes.XslTransformer

    public class XslTransformer
    extends java.lang.Object

Transformador de xml con xsl generalizado el cual utiliza un objeto Transformer.

### Constructor Summary

Constructors
Constructor and Description
`XslTransformer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `transform(java.lang.String xslDocS, java.lang.String xmlDocS, java.lang.String outputDocS)` Transforma un xml a un archivo deseado con un xsl creado con anterioridad

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XslTransformer

    public XslTransformer()

### Method Detail

#### transform

    public static void transform(java.lang.String xslDocS,
                                 java.lang.String xmlDocS,
                                 java.lang.String outputDocS)
                          throws java.io.FileNotFoundException,
                                 javax.xml.transform.TransformerException

Transforma un xml a un archivo deseado con un xsl creado con anterioridad

Parameters:
  `xslDocS` - Ruta del archivo xsl que realizara la transformacion
  `xmlDocS` - Ruta al archivo xml al que se le aplicara la transformacion
  `outputDocS` - Ruta en la cual se guardara el archivo resultante
Throws:
  `java.io.FileNotFoundException`
  `javax.xml.transform.TransformerException`